[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Menus' (#lcl)

# TMenuAutoFlag

Range type which represents the valid TMenuItemAutoFlag values for TMenu instances.

## Declaration

Source position: menus.pp line 63

`type TMenuAutoFlag = maAutomatic..maManual;`

## Description

TMenuAutoFlag is the type used for the AutoLineReduction property in TMenu and descendent classes.

## Version info

Added in LCL version 4.0.

## See also

TMenu.AutoLineReduction |  | Indicates the method used to perform line reduction for the menu and optionally for its child Items.
TMenuItemAutoFlag |  | Represents line reduction modes available for menu items.